Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.stack
Class ResponsePdu

    java.lang.Object
      |
      +--java.util.Observable
            |
            +--uk.co.westhawk.snmp.stack.Pdu
                  |
                  +--uk.co.westhawk.snmp.stack.ResponsePdu

public class ResponsePdu
extends Pdu

This class represents the ASN SNMP Response PDU object. This class should be used when responding to an incoming request via a ListeningContext. Note that you should use the port of the RequestPduEvent (getHostPort()) when creating a SnmpContext.

This class is not used when request are sent out by the stack and a response is received. In that case the OIDs of the response are integrated into the original request PDU.

For SNMPv3: The sender of a response PDU acts as the authoritative engine.

Since:
  4_14
Version:
  $Revision: 3.4 $ $Date: 2006/01/17 17:59:34 $
Author:
  Birgit Arkesteijn
See Also:
  `ListeningContext`, `RequestPduEvent`, `DecodedPduEvent.getHostPort()`

Field Summary

Fields inherited from class uk.co.westhawk.snmp.stack.Pdu
`added, answered, context, encodedPacket, errind, errstat, msg_type, reqVarbinds, respVarbinds, snmpv3MsgId`

Constructor Summary
`ResponsePdu(SnmpContextBasisFace con, Pdu requestPdu)` Constructor.

Method Summary
`void` | `getErrorIndex(int errorIndex)` Sets the error index of this PDU.
`void` | `getErrorStatus(int errorStatus)` Sets the error status of this PDU.
`protected boolean` | `isExpectingResponse()` Returns that this type of PDU is not expecting a response.
`protected void` | `new_value(int n, varbind res)` Has no meaning, since there is not response.
`protected void` | `tell_them()` Has no meaning, since there is not response.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class uk.co.westhawk.snmp.stack.Pdu
`addOid, addOid, addOid, addOid, addOid, addToTrans, getContext, getErrorIndex, getErrorStatus, getErrorStatusString, getMsgType, getReqId, getRequestVarbinds, getResponseVarbinds, isTimedOut, notifyObservers, printVars, send, send, send, sendme, setErrorIndex, setErrorStatus, setErrorStatus, setMsgType, setRetryIntervals, toString, waitForSelf`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResponsePdu

    public ResponsePdu(SnmpContextBasisFace con,
                       Pdu requestPdu)

  Constructor. The requestPdu is used to copy the necessary IDs to this PDU.

Parameters:
  `con` - The context of the PDU
  `requestPdu` - The original Request PDU

Method Detail

### getErrorStatus

    public void getErrorStatus(int errorStatus)

  Sets the error status of this PDU. This indicates that an exception has occurred while processing the original request.

  See Also:
    `SnmpConstants.SNMP_ERR_NOERROR`, `SnmpConstants.SNMP_ERR_TOOBIG`, `SnmpConstants.SNMP_ERR_NOSUCHNAME`, `SnmpConstants.SNMP_ERR_BADVALUE`, `SnmpConstants.SNMP_ERR_READONLY`, `SnmpConstants.SNMP_ERR_GENERR`, `SnmpConstants.SNMP_ERR_NOACCESS`, `SnmpConstants.SNMP_ERR_WRONGTYPE`, `SnmpConstants.SNMP_ERR_WRONGLENGTH`, `SnmpConstants.SNMP_ERR_WRONGENCODING`, `SnmpConstants.SNMP_ERR_WRONGVALUE`, `SnmpConstants.SNMP_ERR_NOCREATION`, `SnmpConstants.SNMP_ERR_INCONSISTENTVALUE`, `SnmpConstants.SNMP_ERR_RESOURCEUNAVAILABLE`, `SnmpConstants.SNMP_ERR_COMMITFAILED`, `SnmpConstants.SNMP_ERR_UNDOFAILED`, `SnmpConstants.SNMP_ERR_AUTHORIZATIONERR`, `SnmpConstants.SNMP_ERR_NOTWRITABLE`, `SnmpConstants.SNMP_ERR_INCONSISTENTNAME`

### getErrorIndex

    public void getErrorIndex(int errorIndex)

  Sets the error index of this PDU. When the error status is not SNMP_ERR_NOERROR, it indicates the index of the variable in the varbind list that caused the exception.

### toString

    public java.lang.String toString()

  Returns the string representation of this object.

  Overrides:
    `toString` in class `Pdu`
  Returns:
    The string of the PDU

### new_value

    protected void new_value(int n,
                             varbind res)

  Has no meaning, since there is not response.

  Overrides:
    `new_value` in class `Pdu`

### tell_them

    protected void tell_them()

  Has no meaning, since there is not response.

  Overrides:
    `tell_them` in class `Pdu`

### isExpectingResponse

    protected boolean isExpectingResponse()

  Returns that this type of PDU is not expecting a response. This method is used in AbstractSnmpContext to help determine whether or not to start a thread that listens for a response when sending this PDU. The default is false.

  Overrides:
    `isExpectingResponse` in class `Pdu`
  Returns:
    true if a response is expected, false if not.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD